Get, Update, or Delete Collection
GET: Retrieve detailed information about a collection including ordered experiences. PUT/PATCH: Update collection details and/or ordered experiences. DELETE: Delete a collection. Only the owner can update or delete.
Path parameters
id
pk
The ID of the collection
Response
Collection details
id
uid
name
Collection name (max 60 characters)
publication
Minimal serializer for Publication, used in other serializers
owner
Simple user serializer with profile picture from associated IAMUserDetail.
Fields:
- id, email, full_name, username, is_verified (from IAMUser)
- profile_picture (from first related IAMUserDetail if present)
ordered_experiences
experience_count
metrics
user_interaction_state
created_at
updated_at
description
Collection description (max 500 characters)
visibility
* `public` - Public
* `private` - Private
* `team` - Team
* `org` - Organization
Allowed values:
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error

